function [minPos, cellDist] = closestCell(startX, startY, xVect, yVect, x_fuser, y_fuser)
maxDist = 20;
minSiz = min(size(xVect, 2), size(yVect, 2));
distances = zeros(1, minSiz);
for i=1:minSiz
    distances(i) = calcDist(startX, startY, xVect(i), yVect(i));
end
[minVal, minPos] = min(distances);
cellDist = calcDist(x_fuser, y_fuser, xVect(minPos), yVect(minPos));
if (minVal > maxDist)
    minPos = 0;
    cellDist = 0.0;
end