% --- Executes on mouse press over figure background, over a disabled or
% --- inactive control, or over an axes background.
function [x, y] = mouse_clicked_femtouser(handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
[x_tmp, y_tmp] = gpos(get(gcf,'CurrentAxes'));
coordVect = get(handles.figure1, 'UserData');
if (~isfield(coordVect, 'startingPoint'))
    startingPoint.x = x_tmp;
    startingPoint.y = y_tmp;
    coordVect.startingPoint = startingPoint;
    set(handles.figure1, 'UserData', coordVect);
end
[x, y] = realCoordinates([x_tmp, y_tmp]);